org.eclipse.ease.lang.unittest.runtime.impl

## Class RuntimeFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.ease.lang.unittest.runtime.impl.RuntimeFactory

All Implemented Interfaces:
  IRuntimeFactory, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory

    public class RuntimeFactory
    extends org.eclipse.emf.ecore.impl.EFactoryImpl
    implements IRuntimeFactory

An implementation of the model Factory.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.IRuntimeFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
Constructor and Description
`RuntimeFactory()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String` `convertTestStatusToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`IMetadata` `createMetadata()`
`IScriptEngine` `createScriptEngineFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`IStackTraceContainer` `createStackTraceContainer()`
`ITest` `createTest()`
`ITestClass` `createTestClass()`
`ITestFile` `createTestFile()`
`ITestFolder` `createTestFolder()`
`ITestResult` `createTestResult()`
`TestStatus` `createTestStatusFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`ITestSuite` `createTestSuite()`
`static IRuntimePackage` `getPackage()` Deprecated.
`IRuntimePackage` `getRuntimePackage()`
`static IRuntimeFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Constructor Detail

#### RuntimeFactory

    public RuntimeFactory()

Creates an instance of the factory.

### Method Detail

#### init

    public static IRuntimeFactory init()

Creates the default factory implementation.

#### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

Specified by:
  `create` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

Specified by:
  `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

Specified by:
  `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
Overrides:
  `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

#### createTest

    public ITest createTest()

Specified by:
  `createTest` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Test'.

#### createTestSuite

    public ITestSuite createTestSuite()

Specified by:
  `createTestSuite` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Test Suite'.

#### createTestFolder

    public ITestFolder createTestFolder()

Specified by:
  `createTestFolder` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Test Folder'.

#### createTestClass

    public ITestClass createTestClass()

Specified by:
  `createTestClass` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Test Class'.

#### createTestResult

    public ITestResult createTestResult()

Specified by:
  `createTestResult` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Test Result'.

#### createTestFile

    public ITestFile createTestFile()

Specified by:
  `createTestFile` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Test File'.

#### createStackTraceContainer

    public IStackTraceContainer createStackTraceContainer()

Specified by:
  `createStackTraceContainer` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Stack Trace Container'.

#### createMetadata

    public IMetadata createMetadata()

Specified by:
  `createMetadata` in interface `IRuntimeFactory`
Returns:
  a new object of class 'Metadata'.

#### createTestStatusFromString

    public TestStatus createTestStatusFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

#### convertTestStatusToString

    public java.lang.String convertTestStatusToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

#### createScriptEngineFromString

    public IScriptEngine createScriptEngineFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.String initialValue)

#### getRuntimePackage

    public IRuntimePackage getRuntimePackage()

Specified by:
  `getRuntimePackage` in interface `IRuntimeFactory`
Returns:
  the package supported by this factory.

#### getPackage

    @Deprecated
    public static IRuntimePackage getPackage()

Deprecated.